Open history files with a restrictive mode (user read/write only).

Apply by doing:
	cd /usr/src
	patch -p0 < 024_readline.patch

And rebuild binutils by doing:
	cd /usr/src/gnu/usr.bin/binutils
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

Index: gnu/usr.bin/binutils/readline/history.c
===================================================================
RCS file: /cvs/src/gnu/usr.bin/binutils/readline/history.c,v
retrieving revision 1.3
diff -u -r1.3 history.c
--- gnu/usr.bin/binutils/readline/history.c	2000/08/02 04:10:45	1.3
+++ gnu/usr.bin/binutils/readline/history.c	2001/03/18 01:17:12
@@ -623,7 +623,7 @@
 	break;
       }
 
-  file = open (filename, O_WRONLY | O_TRUNC | O_CREAT, 0666);
+  file = open (filename, O_WRONLY | O_TRUNC | O_CREAT, 0600);
   if (file == -1)
     goto truncate_exit;
 
@@ -658,7 +658,7 @@
   else
     mode = O_WRONLY | O_APPEND;
 
-  if (!output || (file = open (output, mode, 0666)) == -1)
+  if (!output || (file = open (output, mode, 0600)) == -1)
     {
       if (output)
 	free (output);
